#!/bin/sh

cat <<EOF
By running this script, you may download additional font files
(xkcd-Regular.otf and beanish-Regular.otf) for use with the AUTOMOME web GUI
and qautomome. As the licencing terms for these files are uncertain, you must
agree to the following terms before they are downloaded:
    1. You have read and understood README-fonts included in your AUTOMOME
       distribution.
    2. You MUST NOT use these fonts in ANY commercial or for-profit setting.
    3. You MAY NOT distribute AUTOMOME bundled with these fonts in any way.
    4. You agree to COMPLY FULLY, SUMMARILY AND WITHOUT RESISTANCE to any
       take-down requests by the copyright holders of these fonts and/or any
       of the following people:
       * Randall Munroe, for either of the fonts
       * Christina Gleason for xkcd-Regular.otf
       * azule for beanish-Regular.otf
    5. You agree to take full responsibility for ANY damages -- physical,
       psychological, financial or otherwise -- that may occur as a result of
       your use of these fonts.
EOF

echo -n "Agree to these terms and download fonts? [N/y] "
while true
do
    read agree
    if test "x$agree" == "xy" -o "x$agree" == "xY"
    then
        echo "Downloading fonts..."
        wget "http://xkcd.com/1350/xkcd-Regular.otf" \
            && wget "http://xkcd.modularthought.com/beanish-Regular.otf" \
            && echo "Done." || echo "Error."
        break
    elif test "x$agree" == "xn" -o "x$agree" == "xN"
    then
        echo "Exiting without downloading fonts."
        break
    else
        echo "Invalid response."
        echo -n "Agree to terms and download fonts? [N/y] "
    fi
done
